﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcApplicationExample.Controllers
{
    /// <summary>
    /// This controller shows various types of results
    /// </summary>
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            // ViewData is a property of the ControllerBase class, that can be used for sending
            // data from controller to the view
            ViewData["Message"] = "Welcome to ASP.NET MVC!";
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        [MvcApplicationExample.Filters.IdleFilter]
        public ActionResult Text()
        {
            return Content("This text will be written as plaintext (no HTML)");
        }

        public ActionResult File()
        {
            return File("/Content/EmptyZipArchive.zip", "application/zip", "file.zip");
        }

        public ActionResult Redirect()
        {
            return Redirect("http://www.google.com");
        }

        public ActionResult Json()
        {
            var obj = new { Name = "Jozef", Age = 25 };
            return Json(obj);
        }
    }
}
